| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryEndpointRequest Class Reference
Endpoint

Query Endpoint request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | InterfaceWsdl
| Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level. More...
enum unsp__EndpointType | EndpointType
| The type of the endpoints to retrieve. More...
xsd__short | NumberEndpoints
| Number of endpoints to be retrieved. More...
unsp__ArrayOfString | Endpoints
| List of endpoint names to filter on. More...
xsd__boolean | EndpointIsAssociatedServer
| A filter item to return only those endpoints which have been defined as associated servers. More...
enum unsp__QueryEndpointType | QueryEndpointType
| Query Endpoint type . More...
xsd__int | BGId
| Filters by the index of the business group associated with the endpoints. More...
enum unsp__EndpointSortType | SortType
| Provides a means of sorting the results based on a number of endpoint characteristics. More...
enum unsp__SortOrder | SortDirection
| Standard sorting enumeration. More...
enum unsp__AccountAuth | AccountAuthentication
| Filters by the account authentication of endpoints. More...
enum unsp__OperationalState | OperationalState
| Allows filtering based on the endpoint's operational state. More...
xsd__int * | OutgoingCallSupervisionTimer
| Allows filtering on the value of OutgoingCallSupervisionTimer. More...
xsd__int * | ProxyBypassSupervisionTimer
| Allows filtering on the value of ProxyBypassSupervisionTimer. More...

## Detailed Description

Query Endpoint request.

Used by unsp__queryEndpoint()

## Member Data Documentation

## ◆ AccountAuthentication

enum unsp__AccountAuth unsp__QueryEndpointRequest::AccountAuthentication

Filters by the account authentication of endpoints.

required: false
default value[range]: AccountAuthBasedOnEp

## ◆ BGId

xsd__int unsp__QueryEndpointRequest::BGId

Filters by the index of the business group associated with the endpoints.

required: false
default value[range]: 0

## ◆ EndpointIsAssociatedServer

xsd__boolean unsp__QueryEndpointRequest::EndpointIsAssociatedServer

A filter item to return only those endpoints which have been defined as associated servers.

If not passed (or false), all endpoints are returned.
required: true
default value[range]:

## ◆ Endpoints

unsp__ArrayOfString unsp__QueryEndpointRequest::Endpoints

List of endpoint names to filter on.

required: false

## ◆ EndpointType

enum unsp__EndpointType unsp__QueryEndpointRequest::EndpointType

The type of the endpoints to retrieve.

If EndpointType is unspecified, then all endpoints are retrieved.
required: false
default value[range]:

## ◆ InterfaceWsdl

xsd__string unsp__QueryEndpointRequest::InterfaceWsdl

Indicates the WSDL version supported be the client in order to support the desired backwards compatibility level.

required: false

## ◆ NumberEndpoints

xsd__short unsp__QueryEndpointRequest::NumberEndpoints

Number of endpoints to be retrieved.

required: false
default value[range]: 0

## ◆ OperationalState

enum unsp__OperationalState unsp__QueryEndpointRequest::OperationalState

Allows filtering based on the endpoint's operational state.

required: false
default value[range]: Undefined

## ◆ OperatorId

xsd__string unsp__QueryEndpointRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ OutgoingCallSupervisionTimer

xsd__int* unsp__QueryEndpointRequest::OutgoingCallSupervisionTimer

Allows filtering on the value of OutgoingCallSupervisionTimer.

The following rules apply:

- >= 0 will retrieve all endpoints matching the timer
- = -1 will retrieve all endpoints with timer != 0
- < -1 will ignore timer filter.

required: false
default value[range]: -1 [0, 500-64000]

## ◆ Paging

struct unsp__Paging* unsp__QueryEndpointRequest::Paging

Standard paging structure.

required: false

## ◆ ProxyBypassSupervisionTimer

xsd__int* unsp__QueryEndpointRequest::ProxyBypassSupervisionTimer

Allows filtering on the value of ProxyBypassSupervisionTimer.

The following rules apply:

- >= 0 will retrieve all endpoints matching the timer
- = -1 will retrieve all endpoints with timer != 0
- < -1 will ignore timer filter.

required: false
default value[range]: -1 [0, 500-32000]

## ◆ QueryEndpointType

enum unsp__QueryEndpointType unsp__QueryEndpointRequest::QueryEndpointType

Query Endpoint type .

required: false
default value[range]:

## ◆ SortDirection

enum unsp__SortOrder unsp__QueryEndpointRequest::SortDirection

Standard sorting enumeration.

required: false

## ◆ SortType

enum unsp__EndpointSortType unsp__QueryEndpointRequest::SortType

Provides a means of sorting the results based on a number of endpoint characteristics.

required: false
default value[range]:

## ◆ Specific

xsd__boolean unsp__QueryEndpointRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h